%define name		geos
%define version		2.1.4
%define release		%mkrel 1

%define api_version	2
%define lib_major	0

%define lib_name	%mklibname %{name} %{api_version}

Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     LGPL
Summary:     GEOS (Geometry Engine, Open Source) topology library
URL:         http://geos.refractions.net
Source:      %{name}-%{version}.tar.bz2
Group:       Sciences/Geosciences
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildRequires: multiarch-utils

%description
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%package -n %{lib_name}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences
Provides:	%{name} lib%{name}

%description -n %{lib_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%package -n %{lib_name}-devel
Summary:	Development Libraries for the GEOS topology library
Group:		Sciences/Geosciences
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel lib%{name}-devel

%description -n %{lib_name}-devel
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.


%prep
%setup -q

%build
%configure
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall
%{__rm} -f %{buildroot}/%{_libdir}/*.la
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/geos-config

%clean
rm -Rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/geos-config
%{_bindir}/geos-config
%{_bindir}/XMLTester
%dir %{_includedir}/geos
%{_includedir}/geos/*.h
%{_includedir}/geos.h
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Thu Sep 01 2005 Michael Scherer <misc@mandriva.org> 2.1.4-1mdk
- New release 2.1.4

* Tue Aug 23 2005 Michael Scherer <misc@mandriva.org> 2.1.3-1mdk
- New release 2.1.3
- mkrel, multiarch

* Sat Oct 30 2004 Michael Scherer <misc@mandrake.org> 2.0.1-1mdk
- 2.0.1
- from Jorrit Jorritsma <jjorritsma@aboveit.nl>
  - src rpm borrowed from postgis.refractions.net
  - altered specfile to make it conform Mandake cooker specs
